"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const client_1 = require("@prisma/client");
const prisma = new client_1.PrismaClient();
async function main() {
    await prisma.role.create({
        data: {
            name: 'user',
        },
    });
    await prisma.role.create({
        data: {
            name: 'admin',
        },
    });
    await prisma.promoCode.create({
        data: {
            name: 'PROMO1000',
            value: 1000,
        },
    });
}
main()
    .then(async () => {
    await prisma.$disconnect();
})
    .catch(async (e) => {
    console.error(e);
    await prisma.$disconnect();
    process.exit(1);
});
//# sourceMappingURL=seed.js.map