import { PrismaService } from '../prisma/prisma.service';
import { RoleDto } from './dto';
export declare class RoleService {
    private prisma;
    constructor(prisma: PrismaService);
    getRolesAdmin(userId: string): Promise<{
        id: string;
        name: string;
    }[]>;
    createRole(userId: string, dto: RoleDto): Promise<{
        id: string;
        name: string;
        created_at: Date;
        updated_at: Date;
    }>;
    editRoleById(userId: string, roleId: string, dto: RoleDto): Promise<{
        id: string;
        name: string;
        created_at: Date;
        updated_at: Date;
    }>;
    deleteRoleById(userId: string, id: string): Promise<void>;
}
