import { AuthService } from './auth.service';
import { AuthLoginDto, AuthRegisterDto } from './dto';
export declare class AuthController {
    private authService;
    constructor(authService: AuthService);
    signup(dto: AuthRegisterDto): Promise<{
        access_token: string;
        user: import(".prisma/client").User;
    }>;
    signin(dto: AuthLoginDto): Promise<{
        access_token: string;
        user: import(".prisma/client").User;
    }>;
}
