import { PrismaService } from '../prisma/prisma.service';
import { PromoCodeDto } from './dto';
export declare class PromoCodeService {
    private prisma;
    constructor(prisma: PrismaService);
    getPromoCodes(userId: string): Promise<{
        id: string;
        name: string;
        value: number;
    }[]>;
    createPromoCode(userId: string, dto: PromoCodeDto): Promise<{
        id: string;
        name: string;
        value: number;
        created_at: Date;
        updated_at: Date;
    }>;
    editPromoCodeById(userId: string, promoCodeId: string, dto: PromoCodeDto): Promise<{
        id: string;
        name: string;
        value: number;
        created_at: Date;
        updated_at: Date;
    }>;
    deletePromoCodeById(userId: string, id: string): Promise<void>;
}
